BMAUDPSocket Class Reference
Inheritance diagram for BMAUDPSocket:
[legend]
Collaboration diagram for BMAUDPSocket:
[legend]

## Public Member Functions

| BMAUDPSocket (BMAEPoll &ePoll)
Public Member Functions inherited from BMASocket
| BMASocket (BMAEPoll &ePoll)
void | setDescriptor (int descriptor)
| Set the descriptor for the socket.
int | getDescriptor ()
| Get the descriptor for the socket.
void | eventReceived (struct epoll_event event)
| Parse epoll event and call specified callbacks. More...
void | write (std::string data)
void | write (char *buffer, int length)
void | output (std::stringstream &out)
virtual void | onRegistered ()
| Called when the socket has finished registering with the epoll processing. More...
virtual void | onUnregistered ()
| Called when the socket has finished unregistering for the epoll processing. More...
void | enable (bool mode)
| Enable the socket to read or write based upon buffer.

## Additional Inherited Members

Public Attributes inherited from BMASocket
class {
} | bufferSize
Public Attributes inherited from BMAObject
std::string | name
std::string | tag
Protected Member Functions inherited from BMASocket
void | setBufferSize (int length)
virtual void | onConnected ()
| Called when socket is open and ready to communicate. More...
virtual void | onTLSInit ()
virtual void | onDataReceived (std::string data)=0
| Called when data is received from the socket. More...
void | shutdown ()
virtual void | receiveData (char *buffer, int bufferLength)
Protected Attributes inherited from BMASocket
BMAEPoll & | ePoll
bool | shutDown = false

The documentation for this class was generated from the following files:

- /home/barant/Development/BMA/server_core/ServerCore/BMAUDPSocket.h
- /home/barant/Development/BMA/server_core/ServerCore/BMAUDPSocket.cpp